# DSA3D Namespace Reference

## Functions
def | initWindow
| initiate the main window
def | sendQuery
| send a query to the Database and return the result set
def | newImageName
| when the selected image has been changed
def | saveToFile
| save the image data to a file
def | getInversedM
| Get the inverse matrix so that we can save the inverse pair of the registered images in DB.
def | saveToDB
| save the image data into DB and return the record ID in DB
def | saveReg
| save the regisration in DB
def | regExist
| check the DB see if the registration already exists.
def | propagate
| propagate the registration.
def | saveApprovalStatus
| save the Approval status of a registration
def | clickOKonRegManual
| The function is called when the user clicks OK on RegManual window.
def | getFileName
| The get the formated file Name: MRI (time).
def | clickCancelonRegManual
| This function is called when user clicks cancel button in RegManual Window It disconnect the image inputs from SetPageExt and SetPageExt2 and close the window.
def | getPatientRecordID
| get the PatientRecordID
def | saveRegMatrixInDB
| save the Registration matrix in a database
def | clickOKonSaveImg
| The function is called when user clicks OK on save Image.
def | clickCancelonSaveImg
| The function is called when click Cencel on Save Image.
def | testInteractive
| test Interactive
def | testSubtraction
| call back function for field "no Subtraction"
def | help
| help
def | cleanUp
| clean UP the DSA3D
## Variables
string | regContent = "1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1"

## Detailed Description

    * Copyright (c) 2009 Stanford University, School of Medicine All rights reserved.
    *
    * STANFORD ACADEMIC SOFTWARE LICENSE AGREEMENT
    * FOR AngioLocalize SOURCE CODE:
    *
    * 1.  This is a legal agreement between you, RECIPIENT, and STANFORD UNIVERSITY.
    *       By accepting, receiving, and using AngioLocalize.including any accompanying information, materials or
    *       manuals (Program), you are agreeing to be bound by the terms of this Agreement.
    *       If you do not agree to the terms of this Agreement, promptly return the Program to the STANFORD.

    * 2.  STANFORD grants to RECIPIENT a royalty-free, nonexclusive, and nontransferable license to use the Program
    *       and accompanying source code furnished hereunder, upon the terms and conditions set out below.
    *       documentation and/or other materials provided with the distribution.
    * 3.  RECIPIENT acknowledges that the Program is a research tool still in the development stage and that
    *       it is being supplied as is, without any accompanying services, support or improvements from STANFORD.
    * 4.  RECIPIENT agrees to use the Program solely for internal non-commercial purposes.
    * 5.  RECIPIENT may create derivatives and further transfer the Program under the following terms and conditions:
    *        A) Recipient agrees to not commercially exploit the Program and agrees all uses will be for non-commercial purposes; and,
    *        B) Recipient may not mark any derivatives with the title of Program and may not to use iPad mark for any derivatives; and,
    *        C) Recipient agrees to mark and acknowledge all derivatives as follows: "This is a derivative work based on AngioLocalize:
    *           Frameless AVM localization with 2D Digital Subtraction Angiography (DSA) and 3D Rotational Angiography (DRA) Images developed
    *           by Dimitre Hristov, Lina Liu.
    *        D) Recipient agrees to make all improvements, enhancements and derivatives available under
    *           similar terms and conditions to the research community.
    * 6.   RECIPIENT warrants that RECIPIENT will not remove or export any part of the software or Program from the United
    *       States except in full compliance with all United States and other applicable laws and regulations.
    * 7.  RECIPIENT will use the Program in compliance with all applicable laws, policies and regulations including, but not
    *       limited to, any approvals, informed consent and patient confidentiality principles.
    * 8.   RECIPIENT will indemnify, hold harmless, and defend Stanford against any claim of any kind arising out of or
    *       related to the exercise of any rights granted under this Agreement or the breach of this Agreement by RECIPIENT.
    * 9.  Title and copyright to the Program and any associated documentation shall at all times remain with STANFORD,
    *       and RECIPIENT agrees to preserve same.

## Function Documentation

def DSA3D::propagate | ( |  | targetID,
|  |  | srcID |
| ) |  |  |

propagate the registration.

Definition at line 216 of file DSA3D.py.

def DSA3D::regExist | ( |  | srcID,
|  |  | targetID |
| ) |  |  |

check the DB see if the registration already exists.

We only allow one registration for a unique source and target image pair

Definition at line 204 of file DSA3D.py.

All Classes Namespaces Files Functions Variables Enumerator Friends